## hiredict 1.3.1

=== debian/changelog ===
hiredict (1.3.1-2) unstable; urgency=medium

  * Source-only upload
  * Run tests with autopkgtest instead of during build to break cyclical
    dependencies (Closes: #1070915)

 -- Maytham Alsudany <maytha8thedev@gmail.com>  Sun, 12 May 2024 16:53:31 +0800

hiredict (1.3.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1068948)

 -- Maytham Alsudany <maytha8thedev@gmail.com>  Sun, 05 May 2024 08:31:01 +0800
