=== debian/control ===
Source: hiredict
Priority: optional
Maintainer: Debian Redict Maintainers <team+redict@tracker.debian.org>
Uploaders:
 Maytham Alsudany <maytha8thedev@gmail.com>,
Build-Depends:
 debhelper-compat (= 13),
 libssl-dev,
 procps <!nocheck>,
Standards-Version: 4.7.0
Section: libs
Homepage: https://codeberg.org/redict/hiredict
Vcs-Git: https://salsa.debian.org/redict-team/hiredict.git
Vcs-Browser: https://salsa.debian.org/redict-team/hiredict
Rules-Requires-Root: no

Package: libhiredict1.3.1
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Multi-Arch: same
Description: minimalistic C client library for Redict
 hiredict is a minimalistic C client library for the Redict database. It is
 minimalistic because it just adds minimal support for the protocol, but
 at the same time it uses an high level printf-alike API in order to make
 it much higher level than otherwise suggested by its minimal code base
 and the lack of explicit bindings for every Redict command.
 .
 Apart from supporting sending commands and receiving replies, it comes
 with a reply parser that is decoupled from the I/O layer. It is a stream
 parser designed for easy reusability, which can for instance be used in
 higher level language bindings for efficient reply parsing.
 .
 The library comes with multiple APIs. There is the synchronous API, the
 asynchronous API and the reply parsing API.

Package: libhiredict-dev
Section: libdevel
Architecture: any
Depends:
 libhiredict1.3.1 (= ${binary:Version}),
 ${misc:Depends},
Multi-Arch: same
Description: minimalistic C client library for Redict (development files)
 hiredict is a minimalistic C client library for the Redict database. It is
 minimalistic because it just adds minimal support for the protocol, but
 at the same time it uses an high level printf-alike API in order to make
 it much higher level than otherwise suggested by its minimal code base
 and the lack of explicit bindings for every Redict command.
 .
 Apart from supporting sending commands and receiving replies, it comes
 with a reply parser that is decoupled from the I/O layer. It is a stream
 parser designed for easy reusability, which can for instance be used in
 higher level language bindings for efficient reply parsing.
 .
 The library comes with multiple APIs. There is the synchronous API, the
 asynchronous API and the reply parsing API.
 .
 This package provides the development files for hiredict.

Package: libhiredict-shims-dev
Section: libdevel
Architecture: any
Depends:
 libhiredict1.3.1 (= ${binary:Version}),
 libhiredict-dev (= ${binary:Version}),
 ${misc:Depends},
Conflicts: libhiredis-dev
Replaces: libhiredis-dev
Multi-Arch: same
Description: minimalistic C client library for Redict (hiredis compat shims)
 hiredict is a minimalistic C client library for the Redict database. It is
 minimalistic because it just adds minimal support for the protocol, but
 at the same time it uses an high level printf-alike API in order to make
 it much higher level than otherwise suggested by its minimal code base
 and the lack of explicit bindings for every Redict command.
 .
 Apart from supporting sending commands and receiving replies, it comes
 with a reply parser that is decoupled from the I/O layer. It is a stream
 parser designed for easy reusability, which can for instance be used in
 higher level language bindings for efficient reply parsing.
 .
 The library comes with multiple APIs. There is the synchronous API, the
 asynchronous API and the reply parsing API.
 .
 This package provides hiredis compatibility shims for hiredict.
