=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
DPKG_EXPORT_BUILDFLAGS=1

include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- DEBUG="-g" ARCH= USE_SSL=1 PREFIX=/usr

override_dh_auto_install:
	dh_auto_install -- LIBRARY_PATH="lib/$(DEB_HOST_MULTIARCH)" \
		PREFIX=/usr USE_SSL=1

execute_after_dh_fixperms:
	chmod 644 debian/libhiredict-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/*.pc
	chmod 644 debian/libhiredict-shims-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/*.pc
	chmod 644 debian/libhiredict-dev/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/Hiredict/*.cmake

override_dh_auto_test:
	# Tests are run with autopkgtest to break circular dependency loop on the
	# redict package.
