=== debian/tests/control ===
Tests: upstream-tests
Depends:
 @,
 gcc,
 libc-dev,
 pkgconf,
 redict-server,
